Key Binding settings don't save mode change unless key is changed/re-set
04/30/2015 01:24 PM - Katateochi
Description

If you go into Input in settings and try to change just the "use in modes" options (without changing the key) and then press accept it
does not save the changes. If you change the key, or in fact press the key that is currently assigned then it does save changes to
"use in modes".

Repeat Process:

Go to settings -> Input -> Flight; click on W; click on one of the three "use in modes" toggle buttons; click accept. Then click on W
again and you will see the toggle you changed has not been remembered.

If you now click the toggle and then also press W (the currently assigned key) and then click accept, when you click on W again the
change to "use in modes" will have been remembered.

Related forum thread:
http:/forum.kerbalspaceprogram.com/threads/117505-editing-key-bindings-%28possible-bug%29?p=1877400#post1877400

This is more of a non-intuitive interface than a bug.

History

#1 - 07/27/2015 05:57 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#2 - 09/19/2015 08:46 PM - CP44
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Found this while looking for an existing issue that documents similar behavior.
(Using v1.0.4.861 32-bit KSP.exe with Windows 7 x64 and all joysticks unplugged...)

To clarify, changing/assigning the desired key while having the assignment dialog box open is not enough to save changes to the modes or
modeMask value.

Observation is that the "Use in Modes" toggles for staging/translation/rotation must be set BEFORE...

1. An input is detected

2. The Accept button is used.

This is worse than a "non-intuitive" interface because the effect for a user attempting to change only the usage modes for an available input is that the
interface "does not save or load changes (to mode toggles) properly" (which is what | was going to write up).
| was expecting to have to take KSP offline and adjust the modeMask values manually.

#3 - 11/17/2015 02:12 PM - sal_vager
- Status changed from Confirmed to Resolved

- % Done changed from 10 to 100

No longer occurs in build 1028

#4 - 07/17/2016 09:19 AM - TriggerAu
http://forum.kerbalspaceprogram.com/threads/117505-editing-key-bindings-%28possible-bug%29?p=1877400#post1877400

- Status changed from Resolved to Closed
